/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sg.audit.material.entity;

import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;

/**
 * 物料信息Entity
 * @author qiuyue
 * @version 2019-09-04
 */
public class Material extends DataEntity<Material>  {

    //项目编号
    private String projectId;
    //物料编号
    private String inforId;
    //物料描述
    private String materialName;
    //出库金额
    private Double outboundAmount;
    //审定金额
    private Double authorizedAmount;
    //差额
    private Double difference;
    //出库数量
    private Double outboundNumber;
    //审定数量
    private Double authorizedNumber;
    //平均价单价
    private Double price;
    //单位
    private String unit;
    //物料小类
    private String materialSmall;
    //物料中类
    private String materialMid;
    //物料大类
    private String materialBig;
    //是否完成领退料
    private String isBack;
    //原因类型
    private String status;
    //备注说明
    private String info;
    //判断是否完成领退料
    private int isBackNo;
    //用于记录修改原因后的出库数量，便于下次比对
    private Double afterNumber;
    //用于记录修改原因后的审定数量，便于下次比对
    private Double afterAuthor;
    //项目名称
    private String projectName;
    //项目类型
    private String projectType;
    //工作状态
    private String appendStatus;

    @ExcelField(title="项目名称", align=2, sort=1)
    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    @ExcelField(title="项目定义号", align=2, sort=2)
    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    @ExcelField(title="物料编号", align=2, sort=3)
    public String getInforId() {
        return inforId;
    }

    public void setInforId(String inforId) {
        this.inforId = inforId;
    }

    @ExcelField(title="项目类型", align=2, sort=4)
    public String getProjectType() {
        return projectType;
    }

    public void setProjectType(String projectType) {
        this.projectType = projectType;
    }

    @ExcelField(title="工作状态", align=2, sort=5)
    public String getAppendStatus() {
        return appendStatus;
    }

    public void setAppendStatus(String appendStatus) {
        this.appendStatus = appendStatus;
    }

    @ExcelField(title="物料描述", align=2, sort=6)
    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    @ExcelField(title="出库金额", align=2, sort=7)
    public Double getOutboundAmount() {
        return outboundAmount;
    }

    public void setOutboundAmount(Double outboundAmount) {
        this.outboundAmount = outboundAmount;
    }

    @ExcelField(title="审定金额", align=2, sort=8)
    public Double getAuthorizedAmount() {
        return authorizedAmount;
    }

    public void setAuthorizedAmount(Double authorizedAmount) {
        this.authorizedAmount = authorizedAmount;
    }

    @ExcelField(title="差额", align=2, sort=9)
    public Double getDifference() {
        return difference;
    }

    public void setDifference(Double difference) {
        this.difference = difference;
    }

    @ExcelField(title="出库数量", align=2, sort=10)
    public Double getOutboundNumber() {
        return outboundNumber;
    }

    public void setOutboundNumber(Double outboundNumber) {
        this.outboundNumber = outboundNumber;
    }

    @ExcelField(title="审定数量", align=2, sort=11)
    public Double getAuthorizedNumber() {
        return authorizedNumber;
    }

    public void setAuthorizedNumber(Double authorizedNumber) {
        this.authorizedNumber = authorizedNumber;
    }

    @ExcelField(title="平均价单价", align=2, sort=12)
    public Double getPrice() {
        return price;
    }

    public void setPrice(Double price) {
        this.price = price;
    }

    @ExcelField(title="单位", align=2, sort=13)
    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    @ExcelField(title="物料小类", align=2, sort=14)
    public String getMaterialSmall() {
        return materialSmall;
    }

    public void setMaterialSmall(String materialSmall) {
        this.materialSmall = materialSmall;
    }

    @ExcelField(title="物料中类", align=2, sort=15)
    public String getMaterialMid() {
        return materialMid;
    }

    public void setMaterialMid(String materialMid) {
        this.materialMid = materialMid;
    }

    @ExcelField(title="物料大类", align=2, sort=16)
    public String getMaterialBig() {
        return materialBig;
    }

    public void setMaterialBig(String materialBig) {
        this.materialBig = materialBig;
    }

    @ExcelField(title="是否完成领退料", align=2, sort=17)
    public String getIsBack() {
        return isBack;
    }

    public void setIsBack(String isBack) {
        this.isBack = isBack;
    }

    @ExcelField(title="原因类型", align=2, sort=18)
    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    @ExcelField(title="备注说明", align=2, sort=19)
    public String getInfo() {
        return info;
    }

    public void setInfo(String info) {
        this.info = info;
    }


    public Double getAfterAuthor() {
        return afterAuthor;
    }

    public void setAfterAuthor(Double afterAuthor) {
        this.afterAuthor = afterAuthor;
    }

    public Double getAfterNumber() {
        return afterNumber;
    }

    public void setAfterNumber(Double afterNumber) {
        this.afterNumber = afterNumber;
    }


    public void setIsBackNo(int isBackNo) {
        this.isBackNo = isBackNo;
    }

    public int getIsBackNo() {
        return isBackNo;
    }


}